{% extends "base/normal.html" %}

{% comment %}
Presenter Club - Make Great Presentations, Faster
Copyright (C) 2016 Sam Parkinson <sam@sam.today>

This program is free software: you can redistribute it and/or modify
it under the terms of the GNU Affero General Public License as published by
the Free Software Foundation, either version 3 of the License, or
(at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU Affero General Public License for more details.

You should have received a copy of the GNU Affero General Public License
along with this program.  If not, see <http://www.gnu.org/licenses/>.
{% endcomment %}

{% load render_bundle from webpack_loader %}

{% block title %}{{ presentation.title }} on Presenter Club{% endblock title %}

{% block endhead %}
<meta name="twitter:card" content="summary_large_image" />
<meta name="twitter:site" content="@PresenterClub" />
<meta property="og:url" content="{{ request.build_absolute_uri }}" />
<meta property="og:title" content="{{ presentation.title }}" />
<meta property="og:description" content="Presentation by {{ viewing_profile.name }} on Presenter Club" />
<meta property="og:image" content="{{ thumb_url }}" />
<meta property="og:image:width" content="320" />
<meta property="og:image:height" content="180" />

{% endblock endhead %}

{% block main %}
<div id="react-container">
    <div class="Loader"></div>
</div>
{% endblock main %}

{% block end %}
    <script>
        window.djangosGift = {{ json_string | safe }};
        window.djangosViewingMyself =
            {% if user == viewing_user %}true{% else %}false{% endif %};
        window.djangosViewingProfile = {
            name: '{{ viewing_profile.name }}'
        };

        {% load u %}
        window.enableHeavyBranding = !{{ viewing_user | isprouser | jsonify }};

        {% load styles %}
        {{ presentation | djangosStyle | safe }}
    </script>
    {% render_bundle 'u_view' 'js' %}
{% endblock end %}
